Subject: RE: TSA Response serialNumber Field

From: Michael Zolotarev <[email-masked]>
Date: Mon, 29 May 2000 16:16:58 +1000

Not that simple to me. You'd have to go into lengths explaining how the
precision value should be applied. For instance, what would you say about a
token with base time ="20000529053138.345Z", and the precision of 1 second?

Should we then trim the base value to make the precision meaningful (i.e.
the base time is just "20000529053138Z")?

And the consistency in style with 2459 - e.g. having a unique reference to
the token comprised of its SerialNumber and the issuer name, was also one of
the goals.

Michael

> -----Original Message-----
> From: Manger, James H [mailto:[email-masked]]
> Sent: Monday, May 29, 2000 3:59 PM
> To: [email-masked]
> Subject: RE: TSA Response serialNumber Field
> 
> 
> TSA clients must support genTime values with 
> fraction-of-second components,
> e.g "20000529053138.345Z".  Consequently, by using sufficient
> fraction-of-seconds digits, it is easy for a TSA to issue 
> genTime values
> that always increase and never repeat.
>  
> * The TSA does not need to maintain another never-repeating value
> (serialNumber) and does not have to worry about maintaining 
> it when the TSA
> server crashes.
> * The TSA does not need to issue (nor the client expect) huge integer
> values.
> * Ordering two timestamps from one TSA is simply achieved by 
> comparing their
> genTime fields.
> * Accuracy (uncertainty with respect to UTC) is not affected as it is
> conveyed in a separate field.
>  
> Simple.  Complete.
>  
> The only issue is whether the ordering works from timestamps 
> with the same
> TSA name or same TSA signing key.
> 
> 
> 
>  
>

---

From: Joerg Seidel <[email-masked]>
Date: Mon, 29 May 2000 12:13:22 +0200

Michael,

> token with base time ="20000529053138.345Z", and the precision of 1 second?

The precision describes the probability of the official time being inside the
intervall from "20000529053137.345Z" to "20000529053139.345Z". So if you want
to compare with a second time source you can use the presision field. If you
compare with the same time source the actual precision is much better. Actual
it is +-0, because you compare the clock with itself.

Note that the values are not randomly spread inside of the time intervall.
They are always increasing.

> the base time is just "20000529053138Z")?

You should do this only for comparing the time stamping time with GMT.

Jörg